DMA_BUF_EXPORT_NAMED(9)

NAME
dma_buf_export_named - Creates a new dma_buf, and associates an anon file with this buffer, so it can be exported. Also connect the allocator specific data and ops to the buffer. Additionally, provide a name string for exporter; useful in debugging.

SYNOPSIS

struct dma_buf * dma_buf_export_named(void * priv, const struct dma_buf_ops * ops, size_t size, int flags, const char * exp_name, struct reservation_object * resv);

ARGUMENTS

priv
    [in] Attach private data of allocator to this buffer

ops
    [in] Attach allocator-defined dma buf ops to the new buffer.

size
    [in] Size of the buffer

flags
    [in] mode flags for the file.

exp_name
    [in] name of the exporting module - useful for debugging.

resv
    [in] reservation-object, NULL to allocate default one.

DESCRIPTION

Returns, on success, a newly created dma_buf object, which wraps the supplied private data and operations for dma_buf_ops. On either missing ops, or error in allocating struct dma_buf, will return negative error.

COPYRIGHT